-- $Id: pubd.sql 1835 2008-06-02 23:43:01Z sra $

-- Copyright (C) 2008  American Registry for Internet Numbers ("ARIN")
--
-- Permission to use, copy, modify, and distribute this software for any
-- purpose with or without fee is hereby granted, provided that the above
-- copyright notice and this permission notice appear in all copies.
--
-- THE SOFTWARE IS PROVIDED "AS IS" AND ARIN DISCLAIMS ALL WARRANTIES WITH
-- REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
-- AND FITNESS.  IN NO EVENT SHALL ARIN BE LIABLE FOR ANY SPECIAL, DIRECT,
-- INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
-- LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
-- OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
-- PERFORMANCE OF THIS SOFTWARE.

-- SQL objects needed by pubd.py.

-- The config table is weird because we're really only using it
-- to store one BPKI CRL, but putting this here lets us use a lot of
-- existing machinery and the alternatives are whacky in other ways.

DROP TABLE IF EXISTS config;

CREATE TABLE config (
        config_id       SERIAL NOT NULL,
        bpki_crl        LONGBLOB,
        PRIMARY KEY     (config_id)
);

DROP TABLE IF EXISTS client;

CREATE TABLE client (
        client_id       SERIAL NOT NULL,
        base_uri        TEXT,
        bpki_cert       LONGBLOB,
        bpki_glue       LONGBLOB,
        PRIMARY KEY     (client_id)
);

-- Local Variables:
-- indent-tabs-mode: nil
-- End:
